/****************************************************************************
Module name: PrintStp.H
Programmer : Jeffrey M. Richter.
*****************************************************************************/


#define MAXPORTLEN      (25)
#define MAXDRIVERLEN    (50)
#define MAXDEVICELEN    (CCHDEVICENAME)   // From DRIVINIT.H
#define MAXPRINTINFOLEN (MAXDEVICELEN + 1 + MAXDRIVERLEN + 1 + MAXPORTLEN)
#define offsetof(s,m)   ((size_t) &(((s *) 0)->m))
#define PSOVERHEAD      offsetof(PSSTRUCT, DevMode)

typedef enum {
   PSSTAT_UNKNOWN, PSSTAT_EXTDEVMODE, PSSTAT_DEVMODEONLY
} PSSTAT;

typedef struct {
   char szPort[MAXPORTLEN], szDriver[MAXDRIVERLEN];
   PSSTAT PSStat; 
   int nEnvSize;
   DEVMODE DevMode;
} PSSTRUCT, FAR *LPPSSTRUCT;


#define PSMODE_ACTIVEONLY     (1)
GLOBALHANDLE FAR PASCAL PrinterSetup (HWND hWnd, GLOBALHANDLE hMem, WORD wMode);

HDC FAR PASCAL CreatePrinterDC (GLOBALHANDLE hMem);

// Returns handle to PSSTRUCT block or NULL if insufficient memory.
GLOBALHANDLE FAR PASCAL SetupDefPrinter (void);

void FAR PASCAL ParsePrintInfo (LPSTR szPrintInfo,
   BOOL fAppendDriverExt, LPSTR szDriver, LPSTR szDevice, LPSTR szPort);
