/****************************************************************************
Module name: Recorder.H
Programmer : Jeffrey M. Richter.
*****************************************************************************/

typedef enum { 
   REC_OK,        // Operation was successful.
   REC_ACTIVE,    // Attempt to start recording while already recording.
                  // Attempt to start play while already playing.
   REC_INACTIVE,  // Attempt to stop recording while NOT recording.
   REC_NOMEMORY,  // When attempting to start recording or during recording.
   REC_NOEVENTS,  // Attempt playback with no events in memory block.
   REC_TOOMANY,   // Attempt record more than 65535 events.
   REC_SYSMODALON,// Recording/playing halted because a system-modal
                  // dialog box appeared.
} RECRESULT;

typedef enum {
   RM_STARTRECORD, RM_STOPRECORD, RM_STARTPLAY, RM_STOPPLAY
} RECORDMODE;

RECRESULT FAR PASCAL Recorder (RECORDMODE RecordMode, WORD wParam, LONG lParam);
